Sign up with your email address to be the first to know about new products, VIP offers, blog features & more.

Las versiones de WP-CLI anteriores a 0.23.0 son incompatibles con WordPress 4.5

Por Posted on 0 No tags 0

Traducido del artículo: “Versions of WP-CLI Prior to 0.23.0 Are Incompatible with WordPress 4.5” de:

Jeff Chandler, marzo 24 de

Daniel Bachhuber, quien mantiene WP-CLI, una utilidad de interfaz de línea de comandos populares para la gestión de sitios de WordPress, ha lanzado la versión 0.23.0. Esta versión incluye una serie de correcciones de errores, mejoras y características, pero lo más importante a destacar es que las versiones anteriores de WP-CLI no van a funcionar con WordPress 4.5.
De acuerdo con Bachhuber, WordPress 4.5 carga un archivo en wp-settings.php y como WP-CLI utiliza un archivo de configuración-WP-cli.php , 0.23.0 y superiores, son las únicas versiones compatibles con WordPress 4.5. Bachhuber crea un nuevo tema en Trac para comenzar una discusión sobre el uso de wp-settings.php en lugar del archivo personalizado.
“WP-CLI utiliza un settings wp-cli.php configurado para cargar WordPress, en lugar de wp-settings.php,” dijo Bachhuber. “Aunque aprecio las justificaciones históricas para el proceso de arranque, me sentiría mucho mejor si WP-CLI pudiera utilizar wp-settings.php porque, de vez en cuando, hay problemas importantes debido a la necesidad de mantener un fork” (archivo o sistema que se basa en uno anterior, pero que no es igual).
Para ver una lista completa de los cambios con explicaciones detalladas sobre cómo utilizar las nuevas características tales como la instalación de los comandos de la comunidad desde el índice de paquetes, eche un vistazo al próximo post.

Quién es Jeff Chandler

Jeff Chandler es un joven de WordPress forma parte del equipo deportivo estatal. Escritor colaborador de WPTavern. Ha escrito acerca de WordPress desde 2007. Anfitrión del Podcast semanal WordPress.

Leer entrada anterior
Ubuntu/W10

https://blogs.windows.com/buildingapps/2016/03/30/run-bash-on-ubuntu-on-windows/

Cerrar